Name:		coccinella
Version:	0.96.20
Release:	3%{?dist}
Summary:	Chat client with whiteboard
Group:		Applications/Internet
License:	GPLv3+ and BSD
URL:		http://thecoccinella.org
Source0:	http://download.sourceforge.net/coccinella/Coccinella-%{version}Src.tar.gz
Source1:	%{name}.desktop
Patch0:		Coccinella-0.96.8-system-treectrl.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	desktop-file-utils
Requires:	iax, iaxclient, tkimg, memchan, tcl-snack, tcl-tileqt
Requires:	tkdnd, tcl-tkpng, tktray, tcltls, tcl-tcludp, tcl-tclvfs, tcl-zlib
Requires:	tcl-tktreectrl, desktop-file-utils
Requires:	tcl(abi) = 8.5
BuildArch:	noarch

%description
Coccinella is a free and open-source cross-platform chat client with a built-in 
whiteboard for improved collaboration with other people. Other key features of 
Coccinella include:
* File transfer
* Plugin system
* Group chat (MUC)
* Avatars and emoticons
* Multi-lingual and internationalized
* Secured connections (TLS and SASL)
* Open standard instant messaging protocol (Jabber/XMPP)

%prep
%setup -q -n Coccinella-%{version}Src
rm -rf bin/
%patch0 -p1 -b .system-treectrl

# clean up exec perms
chmod -x jabberlib/*.tcl contrib/*.tcl plugins/*.tcl READMEs/* msgs/*.msg jabber/* docs/* components/Phone/*.tcl \
	 whiteboard/*.tcl components/Phone/IAX/*.tcl components/*.tcl \
	 README.txt lib/*.tcl items/Games/Chess.can contrib/tiles/*.png \
	 items/Games/chessimages/*.gif themes/Aqua/icons/16x16/*.png \
	 themes/Oxygen/elements/*.gif themes/Oxygen/elements/phone/*.png \
	 themes/Oxygen/elements/*.png themes/Oxygen/icons/*/*.png \
	 themes/Oxygen/sounds/*.wav themes/Oxygen/icons/others/*.ico

# Get rid of place-holder files
rm -rf themes/Crystal/iconsets/service/place-holder themes/Crystal/iconsets/emoticons/place-holder themes/Crystal/sounds/place-holder
rm -rf themes/Crystal/icons/scalable/place-holder themes/Crystal/iconsets/roster/place-holder themes/Crystal/chatstyles/place-holder

# Convert to UTF-8
for i in CHANGES.txt; do
	iconv -f iso-8859-1 -t utf-8 -o $i{.utf8,}
	mv $i{.utf8,}
done

# Fix end of line encoding
sed -i -e 's|\r||g' docs/Welcome_en.can

%build
# Nothing to do here.

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/%{name}/
for i in Coccinella.tcl components contrib httpd iconsets items jabber jabberlib lib msgs pkgIndex.tcl plugins resources TclXML themes whiteboard; do
	cp -a $i %{buildroot}%{_datadir}/%{name}/  
done

mkdir -p %{buildroot}%{_datadir}/pixmaps/ 
cp -a %{buildroot}%{_datadir}/%{name}/themes/Oxygen/icons/128x128/%{name}.png %{buildroot}%{_datadir}/pixmaps/

mkdir -p %{buildroot}%{_datadir}/applications/

desktop-file-install					\
	--dir %{buildroot}%{_datadir}/applications	\
	%{SOURCE1}

mkdir -p %{buildroot}%{_bindir}
cd %{buildroot}%{_bindir}
ln -s ../share/%{name}/Coccinella.tcl %{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS.txt README.txt COPYING.txt READMEs/ CHANGES.txt
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.96.20-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.96.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Oct 11 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.96.20-1
- update to 0.96.20

* Wed Mar 31 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.96.18-1
- update to 0.96.18

* Tue Dec  1 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 0.96.16-1
- update to 0.96.16

* Tue Nov 24 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 0.96.14-1
- update to 0.96.14

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.96.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Apr  9 2009 Tom "spot" Callaway <tcallawa@redhat.com> 0.96.12-2
- lots of cleanups

* Tue Apr  7 2009 Tom "spot" Callaway <tcallawa@redhat.com> 0.96.12-1
- update to 0.96.12

* Tue Apr  7 2009 Tom "spot" Callaway <tcallawa@redhat.com> 0.96.10-3
- tcl-tile is part of base tcl/tk now, no need for a separate Requires

* Mon Nov  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.96.10-2
- bundle local copy of coccinella's hacked tclxml

* Wed Oct 15 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.96.10-1
- update to 0.96.10

* Thu Jul 3 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.96.8-1
- initial package for Fedora
